Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# LEDRequest Class Reference

LED settings requested by BehaviorControl. More...

`#include <LEDRequest.h>`

List of all members.

## Public Types
enum | RedLEDPair { bothOn, bothFastBlink, bothSlowBlink, bothOff, leftOnly, rightOnly, leftFastBlink, rightFastBlink, leftSlowBlink, rightSlowBlink, alternateFast, alternateSlow, numOfRedLEDPairs }
| enum defining settings for two red LEDs More...
enum | BlinkMode { oooo, oool, oolo, ooll, oloo, olol, ollo, olll, looo, lool, lolo, loll, lloo, llol, lllo, llll, numOfBlinkModes }
| enum defining different blink modi More...
enum | TailMode { on, slowBlink, fastBlink, numOfTailModes }
| enum defining settings for tail LED modes More...
## Public Member Functions
| LEDRequest ()
| Constructor.
## Static Public Member Functions
const char * | getRedLEDPairName (RedLEDPair id)
| returns name of a RedLEDPair mode
const char * | getBlinkModeName (BlinkMode id)
| returns name of a blink mode
const char * | getTailModeName (TailMode id)
| returns name of a TailMode
## Public Attributes
bool | showCognitionFrameLostWarning
| Show xmas tree on frame loss.
int | cognitionFps
| fps of cognition process to show as a led bar, 0 to disable
RedLEDPair | redTopLEDs
| setting for the two top red leds
RedLEDPair | redBottomLEDs
| setting for the two bottom red leds
TailMode | tailMode
| setting for the tail led
BlinkMode | faceLED [14]
| setting for the face leds
bool | faceLEDModeA
| setting for the face leds
BlinkMode | backFrontWhiteLED
| setting for the back front white led
BlinkMode | backFrontBlueLED
| setting for the back front blue led
BlinkMode | backMiddleWhiteLED
| setting for the back middle white led
BlinkMode | backMiddleOrangeLED
| setting for the back middle orange led
BlinkMode | backRearWhiteLED
| setting for the back rear white led
BlinkMode | backRearRedLED
| setting for the back rear red led
BlinkMode | headOrangeLED
| setting for the head orange led
BlinkMode | headWhiteLED
| setting for the head white led

## Detailed Description

LED settings requested by BehaviorControl.

Definition at line 18 of file LEDRequest.h.

## Member Enumeration Documentation

enum LEDRequest::RedLEDPair

  | enum defining settings for two red LEDs Enumeration values:
  bothOn | both leds are on
  bothFastBlink | both leds blink fast
  bothSlowBlink | both leds blink slow
  bothOff | both leds are off
  leftOnly | only left led is on
  rightOnly | only right led ist on
  leftFastBlink | the left led blinks fast
  rightFastBlink | the right led blinks fast
  leftSlowBlink | the left led blinks slow
  rightSlowBlink | the right led blinks slow
  alternateFast | both leds alternate fast
  alternateSlow | both leds alternate slow
  numOfRedLEDPairs |
Definition at line 22 of file LEDRequest.h.

enum LEDRequest::BlinkMode

  | enum defining different blink modi Enumeration values:
  oooo |
  oool |
  oolo |
  ooll |
  oloo |
  olol |
  ollo |
  olll |
  looo |
  lool |
  lolo |
  loll |
  lloo |
  llol |
  lllo |
  llll |
  numOfBlinkModes |
Definition at line 61 of file LEDRequest.h.

enum LEDRequest::TailMode

  | enum defining settings for tail LED modes Enumeration values:
  on | led is on
  slowBlink | led blinks slow
  fastBlink | led blinks slow
  numOfTailModes |
Definition at line 108 of file LEDRequest.h.

## Constructor & Destructor Documentation

LEDRequest::LEDRequest | ( |  | ) |

| Constructor. Definition at line 9 of file LEDRequest.cpp. References faceLED, faceLEDModeA, and oooo.

## Member Function Documentation

const char* LEDRequest::getRedLEDPairName | ( | RedLEDPair | id | ) | `[inline, static]`

| returns name of a RedLEDPair mode Definition at line 40 of file LEDRequest.h. References alternateFast, alternateSlow, bothFastBlink, bothOff, bothOn, bothSlowBlink, leftFastBlink, leftOnly, leftSlowBlink, rightFastBlink, rightOnly, and rightSlowBlink.

const char* LEDRequest::getBlinkModeName | ( | BlinkMode | id | ) | `[inline, static]`

| returns name of a blink mode Definition at line 83 of file LEDRequest.h. References llll, lllo, llol, lloo, loll, lolo, lool, looo, olll, ollo, olol, oloo, ooll, oolo, oool, and oooo.

const char* LEDRequest::getTailModeName | ( | TailMode | id | ) | `[inline, static]`

| returns name of a TailMode Definition at line 117 of file LEDRequest.h. References fastBlink, on, and slowBlink.

## Member Data Documentation

bool LEDRequest::showCognitionFrameLostWarning

| Show xmas tree on frame loss. Definition at line 129 of file LEDRequest.h. Referenced by GT2005LEDControl::showCognitionProcessFrameLostWarning().

int LEDRequest::cognitionFps

| fps of cognition process to show as a led bar, 0 to disable Definition at line 132 of file LEDRequest.h. Referenced by GT2005LEDControl::showCognitionFps().

RedLEDPair LEDRequest::redTopLEDs

| setting for the two top red leds Definition at line 135 of file LEDRequest.h. Referenced by LEDAndSoundSymbols::registerSymbols().

RedLEDPair LEDRequest::redBottomLEDs

| setting for the two bottom red leds Definition at line 138 of file LEDRequest.h. Referenced by LEDAndSoundSymbols::registerSymbols().

TailMode LEDRequest::tailMode

| setting for the tail led Definition at line 141 of file LEDRequest.h. Referenced by LEDAndSoundSymbols::registerSymbols().

BlinkMode LEDRequest::faceLED[14]

| setting for the face leds Definition at line 144 of file LEDRequest.h. Referenced by LEDRequest(), GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedFaceLEDs().

bool LEDRequest::faceLEDModeA`[mutable]`

| setting for the face leds Definition at line 147 of file LEDRequest.h. Referenced by LEDRequest().

BlinkMode LEDRequest::backFrontWhiteLED

| setting for the back front white led Definition at line 150 of file LEDRequest.h. Referenced by GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackWhiteLEDs().

BlinkMode LEDRequest::backFrontBlueLED

| setting for the back front blue led Definition at line 153 of file LEDRequest.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::Filter(), GT2005BehaviorControl::postExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackColoredLEDs().

BlinkMode LEDRequest::backMiddleWhiteLED

| setting for the back middle white led Definition at line 156 of file LEDRequest.h. Referenced by GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackWhiteLEDs().

BlinkMode LEDRequest::backMiddleOrangeLED

| setting for the back middle orange led Definition at line 159 of file LEDRequest.h. Referenced by GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackColoredLEDs().

BlinkMode LEDRequest::backRearWhiteLED

| setting for the back rear white led Definition at line 162 of file LEDRequest.h. Referenced by GT2005BehaviorControl::postExecute(), GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackWhiteLEDs().

BlinkMode LEDRequest::backRearRedLED

| setting for the back rear red led Definition at line 165 of file LEDRequest.h. Referenced by GT2005BasicBehaviorCalcWlanBearing::Filter(), GT2005BehaviorControl::postExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedBackColoredLEDs().

BlinkMode LEDRequest::headOrangeLED

| setting for the head orange led Definition at line 168 of file LEDRequest.h. Referenced by GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedHeadLEDs().

BlinkMode LEDRequest::headWhiteLED

| setting for the head white led Definition at line 171 of file LEDRequest.h. Referenced by GT2005BehaviorControl::preExecute(), LEDAndSoundSymbols::registerSymbols(), and GT2005LEDControl::showRequestedHeadLEDs().

The documentation for this class was generated from the following files:

- Representations/Motion/LEDRequest.h
- Representations/Motion/LEDRequest.cpp